/****************************************************************************
**
** DCOP Stub Implementation created by dcopidl2cpp from manageriface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "manageriface_stub.h"
#include <dcopclient.h>

#include <kdatastream.h>

namespace KRES {

ManagerIface_stub::ManagerIface_stub( const QCString& app, const QCString& obj )
  : DCOPStub( app, obj )
{
}

ManagerIface_stub::ManagerIface_stub( DCOPClient* client, const QCString& app, const QCString& obj )
  : DCOPStub( client, app, obj )
{
}

ManagerIface_stub::ManagerIface_stub( const DCOPRef& ref )
  : DCOPStub( ref )
{
}

void ManagerIface_stub::dcopKResourceAdded( QString arg0, QString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "dcopKResourceAdded(QString,QString)", data );
    setStatus( CallSucceeded );
}

void ManagerIface_stub::dcopKResourceModified( QString arg0, QString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "dcopKResourceModified(QString,QString)", data );
    setStatus( CallSucceeded );
}

void ManagerIface_stub::dcopKResourceDeleted( QString arg0, QString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "dcopKResourceDeleted(QString,QString)", data );
    setStatus( CallSucceeded );
}

} // namespace

